<div class="container">
  <ng-container *ngFor="let category of media; let last = last">
    <section *ngIf="category.data.length">
      <div class="category-upper">
        <h1>{{ category.label }}</h1>
        <span (click)="viewAllMediaList(category.label)" class="view-all"
          >View All</span
        >
      </div>
      <div class="category-grid" [ngClass]="{ 'last-category': last }">
        <ng-container *ngFor="let card of category.data; let i = index">
          <div
            *ngIf="!last || width < 1025"
            class="card"
            (click)="onCardClick(card.id, card.title.romaji)"
            (mouseenter)="showToolTip(card)"
            (mouseover)="card.hover = true"
            (mouseleave)="card.hover = false"
          >
            <ng-template #skeletonCard>
              <div
                style="height: 100%; position: relative; background: #1b2a3b"
              >
                <img alt="" />
              </div>
            </ng-template>
            <ng-container *ngIf="!card.loading; else skeletonCard">
              <img [src]="card.coverImage.large" alt="" />
              <h3
                class="title"
                [ngStyle]="{
                  color: card.hover ? card.coverImage.color : '#ffffff'
                }"
              >
                <span>{{ card.title.romaji }} </span>
                <span
                  class="english-title"
                  *ngIf="
                    card.title.english &&
                    card.title.romaji.toLowerCase() !==
                      card.title.english.toLowerCase()
                  "
                  >({{ card.title.english }})</span
                >
              </h3>
            </ng-container>
          </div>
          <div
            class="last-category-cards"
            *ngIf="!card.loading && last && width > 1024"
          >
            <div class="rank">
              <span>#{{ i + 1 }}</span>
            </div>
            <div
              class="long-card"
              (click)="onCardClick(card.id, card.title.romaji)"
            >
              <a class="cover">
                <img
                  class="cover-image"
                  [src]="card.coverImage.medium"
                  alt=""
                />
              </a>
              <div class="content">
                <div class="row row-title">
                  <span>{{ card.title.romaji }}</span>
                  <span
                    class="english-title"
                    *ngIf="
                      card.title.english &&
                      card.title.romaji.toLowerCase() !==
                        card.title.english.toLowerCase()
                    "
                    >{{ card.title.english }}</span
                  >
                  <mat-chip-list *ngIf="card.genres.length">
                    <mat-chip
                      *ngFor="let genre of card.genres"
                      class="genre"
                      [ngStyle]="{
                        background: card.coverImage.color,
                        color: lightOrDark(card.coverImage.color)
                      }"
                      selected
                      >{{ genre.toLowerCase() }}</mat-chip
                    >
                  </mat-chip-list>
                </div>
                <div class="row row-score">
                  <mat-icon>mood</mat-icon>
                  <div class="score-column">
                    <span>{{ card.averageScore }}%</span>
                    <span>{{ card.popularity }} users</span>
                  </div>
                </div>
                <div class="row row-format">
                  <span>{{
                    card.format === "TV" ? "TV Show" : card.format
                  }}</span>
                  <span>{{ card.episodes }} episodes</span>
                </div>
                <div class="row row-date">
                  <span *ngIf="card.season">
                    {{
                      card.season[0] + card.season.substring(1).toLowerCase()
                    }}
                    {{ card.seasonYear }}
                  </span>
                  <span>
                    {{
                      card.status[0] + card.status.substring(1).toLowerCase()
                    }}
                  </span>
                </div>
              </div>
            </div>
          </div>
        </ng-container>
      </div>
    </section>
  </ng-container>
</div>
